Skip to content
OpenPostDocs
OpenPostDocs
Publication Builds

Plan creative directions

POST/publication-builds/angles

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/publication-builds/angles" \  -H "Content-Type: application/json" \  -d '{    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/PlanPublicationAnglesOutputBody.json",  "angles": [    {      "approach": "string",      "build_direction": {        "angle": "string",        "audience": "string",        "media_preference": "string",        "outcome": "string",        "tone_adjustment": "string"      },      "desired_reaction": "string",      "evidence": "string",      "hook": "string",      "id": "string",      "label": "string",      "media": {        "brief": "string",        "role": "string",        "source_ref": "string",        "treatment": "string"      },      "objective": "string",      "thesis": "string"    }  ]}